stages:
  - build
  - deploy

build:
  stage: build
  image: docker
  services:
    - name: docker:dind
      alias: docker
      command: [ "--tls=false" ]
  before_script:
    - docker login $CI_REGISTRY -u $CI_REGISTRY_USER -p $CI_REGISTRY_PASSWORD
  script:
    - docker build -t ${CI_REGISTRY_IMAGE}:${CI_COMMIT_REF_NAME} -f ./Dockerfile .
    - docker push ${CI_REGISTRY_IMAGE}:${CI_COMMIT_REF_NAME}
  only:
    - tags
    - main

slt deploy:
  stage: deploy
  image: alpine:3.7
  before_script:
    - apk add --no-cache curl
    - curl -LO https://storage.googleapis.com/kubernetes-release/release/$(curl -s https://storage.googleapis.com/kubernetes-release/release/stable.txt)/bin/linux/amd64/kubectl
    - chmod +x ./kubectl
  script:
    - export KUBECONFIG=$SLT_KUBE_CONFIG
    - ./kubectl --namespace anta-ress apply -f .kube
    - ./kubectl --namespace anta-ress rollout restart deployment arbitrage
